Bug 1266259 - kdevelop crashes during initialization
kdevelop crashes during initialization
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdevelop (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-24 18:13 EDT by Kevin Donovan
Modified: 2015-10-04 18:51 EDT (History)
7 users (show)

See Also:
Fixed In Version: kdevelop-4.7.1-10.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-04 18:51:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 347178 None None None Never

  None (edit)
Description Kevin Donovan 2015-09-24 18:13:18 EDT
Description of problem:
I start kdevelop and choose a project.  Window opens with class info, and crashes after half a second.

Version-Release number of selected component (if applicable):
kdevelop 4.7.1
uname -a output:
Linux homebrew 4.2.1-300.fc23.x86_64 #1 SMP Mon Sep 21 22:13:13 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:
It always happens.

Steps to Reproduce:
1. Clear out kdevelop/sessions director and .kde4 files
2. Try opening a new project by selecting a Makefile in a directory with C++ files.
3. Press the Finish button in the GUI to start the project.  The project starts to open, but crashes almost immediately.

Actual results:
If I start from a shell, here's what appears in the terminal:

kdevelop(8697)/kdeui (kdelibs): Attempt to use QAction "commit_or_finish_review" with KXMLGUIFactory! 
Object::connect: No such signal KateBuffer::respellCheckBlock(KateDocument*,int,int)
kdevelop(8697)/Kate (Indentation) KateAutoIndent::setMode: mode "cppstyle" requires a different highlight style: document style ' "None" ', but script require ' "C++" ' 
qrc:/qml/main.qml:23:1: QML Loader: Binding loop detected for property "source"
qrc:/qml/main.qml:23:1: QML Loader: Binding loop detected for property "source"
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 20 (X_GetProperty)
  Resource id:  0x2c00015
/bin/cat: /home/donovan/.kde/share/apps/kdevelop/sessions/{1624026b-db57-4ff9-afc2-ce963803fa14}/default.sh: No such file or directory
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 20 (X_GetProperty)
  Resource id:  0x2c000f1
KCrash: Application 'kdevelop' crashing...
KCrash: Attempting to start /usr/libexec/kde4/drkonqi from kdeinit
KCrash: Connect sock_file=/home/donovan/.kde/socket-homebrew/kdeinit4__0
QSocketNotifier: Invalid socket 7 and type 'Read', disabling...
QSocketNotifier: Invalid socket 13 and type 'Read', disabling...
QSocketNotifier: Invalid socket 19 and type 'Read', disabling...
QSocketNotifier: Invalid socket 28 and type 'Read', disabling...
QSocketNotifier: Invalid socket 37 and type 'Read', disabling...
QSocketNotifier: Invalid socket 24 and type 'Read', disabling...
kdevelop: Fatal IO error: client killed
TopDUContextData::m_problems There were items left on destruction: 2
DUContextData::m_importers There were items left on destruction: 2
DUContextData::m_importedContexts There were items left on destruction: 3
DUContextData::m_uses There were items left on destruction: 2
TopDUContextData::m_usedDeclarationIds There were items left on destruction: 2
DUContextData::m_childContexts There were items left on destruction: 2
DUContextData::m_localDeclarations There were items left on destruction: 2
pp_macro::formals There were items left on destruction: 31
pp_macro::definition There were items left on destruction: 407
Unable to start Dr. Konqi

Expected results:
The normal kdevelop GUI opens.

Additional info:
I upgraded to Fedora 23 yesterday or the day before, using dnf.  Everything was fine in Fedora 22.
Comment 1 Kevin Kofler 2015-09-24 19:07:23 EDT
This is known, see the discussion under bug #1248073. Siddharth Sharma identified it and attached the upstream fixes that should fix this a few hours ago. I'm issuing new builds now.
Comment 2 Fedora Update System 2015-09-24 20:06:00 EDT
kdevelop-4.7.1-10.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-af1ad4f624
Comment 3 Fedora Update System 2015-09-24 20:18:54 EDT
kdevelop-4.7.1-10.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-241fe028cb
Comment 4 Fedora Update System 2015-09-25 12:31:55 EDT
kdevelop-4.7.1-10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update kdevelop'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-af1ad4f624
Comment 5 Fedora Update System 2015-09-26 20:38:04 EDT
kdevelop-4.7.1-10.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update kdevelop'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-241fe028cb
Comment 6 Fedora Update System 2015-10-04 15:15:54 EDT
kdevelop-4.7.1-10.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-10-04 18:51:30 EDT
kdevelop-4.7.1-10.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.